{"_id":"54738f7f1a20c70800e189be","parentDoc":null,"githubsync":"","user":"5433099f9a2b451a00ad4531","version":{"_id":"545137a814af501a00b50cfc","project":"545137a814af501a00b50cf9","__v":11,"createdAt":"2014-10-29T18:53:28.525Z","releaseDate":"2014-10-29T18:53:28.525Z","categories":["545137a814af501a00b50cfd","545138eaa66f020800dbab4a","546b9072b47b5d1400109edf","546b9082b47b5d1400109ee0","546b9088b47b5d1400109ee1","546b909462515a14007ebc43","546b90a0b47b5d1400109ee2","546ced235884600e007a92f6","5481008eea7fd40b00cd7c2b","573b9d83ee2b3b220042291f","57be1efa15efc70e006a5f99"],"is_deprecated":false,"is_hidden":false,"is_beta":true,"is_stable":true,"codename":"","version_clean":"1.0.0","version":"1.0"},"__v":4,"project":"545137a814af501a00b50cf9","category":{"_id":"546b90a0b47b5d1400109ee2","project":"545137a814af501a00b50cf9","pages":["54738f761a20c70800e189bc","54738f7f1a20c70800e189be","54738f91007eb108007e041d","54738fa71a20c70800e189c1","54738fbd007eb108007e041f","54739056007eb108007e0421"],"version":"545137a814af501a00b50cfc","__v":6,"sync":{"url":"","isSync":false},"reference":false,"createdAt":"2014-11-18T18:32:00.749Z","from_sync":false,"order":6,"slug":"sdks","title":"SDKs"},"updates":[],"next":{"pages":[],"description":""},"createdAt":"2014-11-24T20:05:19.675Z","link_external":false,"link_url":"","sync_unique":"","hidden":false,"api":{"basic_auth":false,"results":{"codes":[]},"try":true,"auth":"never","params":[],"url":""},"isReference":false,"order":1,"body":"The Ruby SDK enables you to include Yammer authentication, features and data into your web application on the server side. The SDK is a Ruby gem which is a light wrapper on the Yammer REST APIs. The gem can be found at: https://github.com/yammer/yam\n\n**Installation**\n\nTo start using the Yammer gem, add this line to your application’s Gemfile:\n[block:code]\n{\n  \"codes\": [\n    {\n      \"code\": \"gem 'yam'\",\n      \"language\": \"text\"\n    }\n  ]\n}\n[/block]\nAnd then execute:\n[block:code]\n{\n  \"codes\": [\n    {\n      \"code\": \"$ bundle\",\n      \"language\": \"text\"\n    }\n  ]\n}\n[/block]\nOr install it yourself:\n[block:code]\n{\n  \"codes\": [\n    {\n      \"code\": \"$ gem install yam\",\n      \"language\": \"text\"\n    }\n  ]\n}\n[/block]\n\n**Usage**\n\nOnce you have installed the gem, you will need to implement Oauth authentication in your app as laid out in “Build your first Yammer App”. Next you will use the gem to call the Yammer REST APIs to get data to/from Yammer. For more details look at the Github page: https://github.com/yammer/yam","excerpt":"","slug":"ruby-sdk","type":"basic","title":"Ruby SDK"}
The Ruby SDK enables you to include Yammer authentication, features and data into your web application on the server side. The SDK is a Ruby gem which is a light wrapper on the Yammer REST APIs. The gem can be found at: https://github.com/yammer/yam **Installation** To start using the Yammer gem, add this line to your application’s Gemfile: [block:code] { "codes": [ { "code": "gem 'yam'", "language": "text" } ] } [/block] And then execute: [block:code] { "codes": [ { "code": "$ bundle", "language": "text" } ] } [/block] Or install it yourself: [block:code] { "codes": [ { "code": "$ gem install yam", "language": "text" } ] } [/block] **Usage** Once you have installed the gem, you will need to implement Oauth authentication in your app as laid out in “Build your first Yammer App”. Next you will use the gem to call the Yammer REST APIs to get data to/from Yammer. For more details look at the Github page: https://github.com/yammer/yam